:PROPERTIES:
:ID:       9f7023d0-0fbb-4107-b265-4d7f4034f422
:END:
#+title: 2023-07-08
* Counting the dead :@personal:

Today Tarek Titi died. Probably a suicide, my third this year after Jane and Karim Naguib. Then I realized while browsing Twitter that Nada Zeitona also died 10 December 2019, of apparently massive abdominal cancer. 

Hend Kalfat, Ola Abo el Shalashel, Nada, Jane, Karim. I think I should keep a record of those who did of pain and marginalization. 

Lovely people die of old age too. Nehal Shaker passed away today. Mom is sad.


